/*
** mg_assoc.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 12:08:01 1999 vianney rancurel
** Last update Thu Oct 28 20:18:19 1999 
*/
#ifndef MG_ASSOC_H
#define MG_ASSOC_H	1

#include "mg.h"

typedef struct		s_assoc
{
  VOID_PTR		left;
  VOID_PTR		right;
} t_assoc;

#define NULL_ASSOC	{NULL,NULL}
#define NOT_NULL_ASSOC

/* PROTO mg_assoc.c */
/* mg_assoc.c */
t_assoc *assoc_str_ptr_from_left P((t_assoc *assoc, char *left));
t_assoc *assoc_str_ptr_from_nleft P((t_assoc *assoc, char *left));
void *assoc_str_ptr_from_left_default P((t_assoc *assoc, char *left, void *def));
t_assoc *assoc_str_int_from_right P((t_assoc *assoc, int right));
#endif
